## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.commonui.privilege
Interface IPrivilegeState

All Known Implementing Classes:
  PrivilegeState

    public interface IPrivilegeState

The state of the privilege

Author:
  Idull

Field Summary
`static int` `EMPTY_PRIVILEGE`
`static IPrivilegeState` `EMPTY_PRIVILEGE_STATE`
`static int` `GRANTED_PRIVILEGE`
`static IPrivilegeState` `GRANTED_PRIVILEGE_STATE`
`static int` `GRANTED_WITH_GRANTOPTION_PRIVILEGE`
`static IPrivilegeState` `GRANTED_WITH_GRANTOPTION_PRIVILEGE_STATE`
`static int` `GROUP`
`static IPrivilegeState` `GROUP_EMPTY_PRIVILEGE_STATE`
`static IPrivilegeState` `GROUP_GRANTED_PRIVILEGE_STATE`
`static IPrivilegeState` `GROUP_GRANTED_WITH_GRANTOPTION_PRIVILEGE_STATE`
`static IPrivilegeState` `GROUP_INHERITED_PRIVILEGE_STATE`
`static IPrivilegeState` `GROUP_REVOKED_INHERITED_PRIVILEGE_STATE`
`static int` `INHERITED_PRIVILEGE`
`static IPrivilegeState` `INHERITED_PRIVILEGE_STATE`
`static java.lang.String[]` `PRIVILEGES_DISPLAY_NAME`
`static int` `REVOKED_INHERITED_PRIVILEGE`
`static IPrivilegeState` `REVOKED_INHERITED_PRIVILEGE_STATE`
`static int` `ROLE`
`static IPrivilegeState` `ROLE_EMPTY_PRIVILEGE_STATE`
`static IPrivilegeState` `ROLE_GRANTED_PRIVILEGE_STATE`
`static IPrivilegeState` `ROLE_GRANTED_WITH_GRANTOPTION_PRIVILEGE_STATE`
`static IPrivilegeState` `ROLE_INHERITED_PRIVILEGE_STATE`
`static IPrivilegeState` `ROLE_REVOKED_INHERITED_PRIVILEGE_STATE`
`static int` `USER`

Method Summary
`int` `getAuthType()` Returns the authorization identifier type
`int` `getCode()` Returns the code of this state
`java.lang.String` `getDisplayString()` Returns the display string of this state
`org.eclipse.swt.graphics.Image` `getImage()` Returns the image of this state

Field Detail

### USER

    static final int USER

See Also:
  Constant Field Values

### GROUP

    static final int GROUP

See Also:
  Constant Field Values

### ROLE

    static final int ROLE

See Also:
  Constant Field Values

### EMPTY_PRIVILEGE

    static final int EMPTY_PRIVILEGE

See Also:
  Constant Field Values

### GRANTED_PRIVILEGE

    static final int GRANTED_PRIVILEGE

See Also:
  Constant Field Values

### GRANTED_WITH_GRANTOPTION_PRIVILEGE

    static final int GRANTED_WITH_GRANTOPTION_PRIVILEGE

See Also:
  Constant Field Values

### INHERITED_PRIVILEGE

    static final int INHERITED_PRIVILEGE

See Also:
  Constant Field Values

### REVOKED_INHERITED_PRIVILEGE

    static final int REVOKED_INHERITED_PRIVILEGE

See Also:
  Constant Field Values

### PRIVILEGES_DISPLAY_NAME

    static final java.lang.String[] PRIVILEGES_DISPLAY_NAME

### EMPTY_PRIVILEGE_STATE

    static final IPrivilegeState EMPTY_PRIVILEGE_STATE

### GRANTED_PRIVILEGE_STATE

    static final IPrivilegeState GRANTED_PRIVILEGE_STATE

### GRANTED_WITH_GRANTOPTION_PRIVILEGE_STATE

    static final IPrivilegeState GRANTED_WITH_GRANTOPTION_PRIVILEGE_STATE

### INHERITED_PRIVILEGE_STATE

    static final IPrivilegeState INHERITED_PRIVILEGE_STATE

### REVOKED_INHERITED_PRIVILEGE_STATE

    static final IPrivilegeState REVOKED_INHERITED_PRIVILEGE_STATE

### GROUP_EMPTY_PRIVILEGE_STATE

    static final IPrivilegeState GROUP_EMPTY_PRIVILEGE_STATE

### GROUP_GRANTED_PRIVILEGE_STATE

    static final IPrivilegeState GROUP_GRANTED_PRIVILEGE_STATE

### GROUP_GRANTED_WITH_GRANTOPTION_PRIVILEGE_STATE

    static final IPrivilegeState GROUP_GRANTED_WITH_GRANTOPTION_PRIVILEGE_STATE

### GROUP_INHERITED_PRIVILEGE_STATE

    static final IPrivilegeState GROUP_INHERITED_PRIVILEGE_STATE

### GROUP_REVOKED_INHERITED_PRIVILEGE_STATE

    static final IPrivilegeState GROUP_REVOKED_INHERITED_PRIVILEGE_STATE

### ROLE_EMPTY_PRIVILEGE_STATE

    static final IPrivilegeState ROLE_EMPTY_PRIVILEGE_STATE

### ROLE_GRANTED_PRIVILEGE_STATE

    static final IPrivilegeState ROLE_GRANTED_PRIVILEGE_STATE

### ROLE_GRANTED_WITH_GRANTOPTION_PRIVILEGE_STATE

    static final IPrivilegeState ROLE_GRANTED_WITH_GRANTOPTION_PRIVILEGE_STATE

### ROLE_INHERITED_PRIVILEGE_STATE

    static final IPrivilegeState ROLE_INHERITED_PRIVILEGE_STATE

### ROLE_REVOKED_INHERITED_PRIVILEGE_STATE

    static final IPrivilegeState ROLE_REVOKED_INHERITED_PRIVILEGE_STATE

Method Detail

### getDisplayString

    java.lang.String getDisplayString()

  Returns the display string of this state

  Returns:

### getImage

    org.eclipse.swt.graphics.Image getImage()

  Returns the image of this state

  Returns:

### getCode

    int getCode()

  Returns the code of this state

  Returns:
  See Also:
    `EMPTY_PRIVILEGE`, `GRANTED_PRIVILEGE`, `GRANTED_WITH_GRANTOPTION_PRIVILEGE`, `INHERITED_PRIVILEGE`, `REVOKED_INHERITED_PRIVILEGE`

### getAuthType

    int getAuthType()

  Returns the authorization identifier type

  Returns:
  See Also:
    `USER, ROLE, GROUP`